#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QProcess>
#include <QMouseEvent>
#include <QPoint>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
private slots:
void on_startButton_clicked();
void on_restartButton_clicked();

void on_stopButton_clicked();

void on_setupButton_clicked();

void on_exitButton_clicked();

protected:
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *);


private:
    bool pressed;
    QPoint lastPos;

    Ui::Widget *ui;
    QProcess *proc;private:



};



#endif // WIDGET_H
